/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 14 March 2023, 12:38 PM
 */

#define _XTAL_FREQ  8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config_words.h"
#include "assets/ADC/ADC.h"
#include "assets/TM1637/TM1637.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    ADC_init();
    TM1637_init();
    TM1637_setBrightness(7); //Valid brightness values: 0 - 8. 0 = display off.
    
    while (1) 
    {
        int num = (int) getADC_Result(ADC_read(0));
        TM1637_display(num);
    }
    
    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------